iOS 7 och Swift?

Tråden skapades och har fått 2 svar. Det senaste inlägget skrevs .
1
  • Medlem
  • 2014-06-06 14:57

Vi är påväg att uppdatera vår app, byggd för iOS 5.
Funderar på om vi ska iOS8 anpassa den och koda om den i Swift.
Nog för att man kan gissa sig till vilken datum iOS 8 lanseras men det finns inga garantier när det sker och när vi då. kan lansera vår uppdatering.

Alternativt, iOS 7 och Swift kan det funka?
Eller är Swift bara kompatibelt med iOS 8

Jag har inte läst nåt om det, men kan nästan säkert säga att det kommer funka även på iOS 7 och äldre, inga problem.

Här finns din fråga på SO:
http://stackoverflow.com/questions/24001778/d...

Swift använder samma runtime som Objective-C, och koden du skriver kompileras ju på din dator så i appen finns egentligen inget "Swift" lika lite som det finns "Obj-C". Allt som finns är maskinkod.

Du kanske även har märkt att den nya syntaxen (@[] istället för [NSArray alloc] blablabla) går att bygga för äldre iOS, till exempel.

Nu har det kommit fram att iOS 7 eller senare krävs för program skrivna i Swift. För OS X gäller 10.9 Mavericks eller senare.

1
Bevaka tråden
PLACE BANNER HERE
PLACE BANNER HERE
PLACE BANNER HERE